// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 56;
	objects = {

/* Begin PBXBuildFile section */
		7B3B17642BF24B32002BC817 /* Player.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7B3B17632BF24B32002BC817 /* Player.swift */; };
		7B3B17672BF24ED6002BC817 /* FullButtonStyle.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7B3B17662BF24ED6002BC817 /* FullButtonStyle.swift */; };
		7B4508CD2BF206AF0027E1EF /* DouShouQiIOSApp.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7B4508CC2BF206AF0027E1EF /* DouShouQiIOSApp.swift */; };
		7B4508CF2BF206AF0027E1EF /* ContentView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7B4508CE2BF206AF0027E1EF /* ContentView.swift */; };
		7B4508D12BF206B10027E1EF /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 7B4508D02BF206B10027E1EF /* Assets.xcassets */; };
		7B4508D42BF206B10027E1EF /* Preview Assets in Resources */ = {isa = PBXBuildFile; fileRef = 7B4508D32BF206B10027E1EF /* Preview Assets */; };
		7B4508DE2BF206B10027E1EF /* DouShouQiIOSTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7B4508DD2BF206B10027E1EF /* DouShouQiIOSTests.swift */; };
		7B4508E82BF206B10027E1EF /* DouShouQiIOSUITests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7B4508E72BF206B10027E1EF /* DouShouQiIOSUITests.swift */; };
		7B4508EA2BF206B10027E1EF /* DouShouQiIOSUITestsLaunchTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7B4508E92BF206B10027E1EF /* DouShouQiIOSUITestsLaunchTests.swift */; };
		7B4508F72BF2084B0027E1EF /* PlayerView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7B4508F62BF2084B0027E1EF /* PlayerView.swift */; };
		7B4508FA2BF214F50027E1EF /* PlayerListView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7B4508F92BF214F50027E1EF /* PlayerListView.swift */; };
		7B6426F22C00B61500575E16 /* DSQ.xcframework in Frameworks */ = {isa = PBXBuildFile; fileRef = 7B6426F12C00B61500575E16 /* DSQ.xcframework */; };
		7B6426F72C00B81400575E16 /* GameScene.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7B6426F62C00B81400575E16 /* GameScene.swift */; };
		7B6426F92C00BDEA00575E16 /* SpriteKitView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7B6426F82C00BDEA00575E16 /* SpriteKitView.swift */; };
		7B6426FB2C00BFF500575E16 /* SpriteMeeple.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7B6426FA2C00BFF500575E16 /* SpriteMeeple.swift */; };
		7BB279892BFDF79E00491801 /* GameView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7BB279882BFDF79E00491801 /* GameView.swift */; };
		7BDD43C72BFCC927003984FB /* MainMenuView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7BDD43C62BFCC927003984FB /* MainMenuView.swift */; };
		7BDD43C92BFCD2C4003984FB /* HistoryView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7BDD43C82BFCD2C4003984FB /* HistoryView.swift */; };
		7BDE976D2C0E13160079F2CD /* EditModalView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7BDE976C2C0E13160079F2CD /* EditModalView.swift */; };
		7BDE976F2C0E18160079F2CD /* PlayerVM.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7BDE976E2C0E18160079F2CD /* PlayerVM.swift */; };
		7BE8C5652C09A29A00A6E8C9 /* Color.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7BE8C5642C09A29A00A6E8C9 /* Color.swift */; };
		BA5AFD332C09C7470056D332 /* ClassicTextDisplay.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA5AFD322C09C7470056D332 /* ClassicTextDisplay.swift */; };
		BA5AFD352C09CAC10056D332 /* NavButton.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA5AFD342C09CAC10056D332 /* NavButton.swift */; };
		BA5AFD392C09D1020056D332 /* DoubleTextDisplay.swift in Sources */ = {isa = PBXBuildFile; fileRef = BA5AFD382C09D1020056D332 /* DoubleTextDisplay.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		7B4508DA2BF206B10027E1EF /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 7B4508C12BF206AF0027E1EF /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 7B4508C82BF206AF0027E1EF;
			remoteInfo = DouShouQiIOS;
		};
		7B4508E42BF206B10027E1EF /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 7B4508C12BF206AF0027E1EF /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 7B4508C82BF206AF0027E1EF;
			remoteInfo = DouShouQiIOS;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		7B3B17632BF24B32002BC817 /* Player.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Player.swift; sourceTree = "<group>"; };
		7B3B17662BF24ED6002BC817 /* FullButtonStyle.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FullButtonStyle.swift; sourceTree = "<group>"; };
		7B4508C92BF206AF0027E1EF /* DouShouQiIOS.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = DouShouQiIOS.app; sourceTree = BUILT_PRODUCTS_DIR; };
		7B4508CC2BF206AF0027E1EF /* DouShouQiIOSApp.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DouShouQiIOSApp.swift; sourceTree = "<group>"; };
		7B4508CE2BF206AF0027E1EF /* ContentView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ContentView.swift; sourceTree = "<group>"; };
		7B4508D02BF206B10027E1EF /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		7B4508D32BF206B10027E1EF /* Preview Assets */ = {isa = PBXFileReference; lastKnownFileType = folder; path = "Preview Assets"; sourceTree = "<group>"; };
		7B4508D92BF206B10027E1EF /* DouShouQiIOSTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = DouShouQiIOSTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		7B4508DD2BF206B10027E1EF /* DouShouQiIOSTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DouShouQiIOSTests.swift; sourceTree = "<group>"; };
		7B4508E32BF206B10027E1EF /* DouShouQiIOSUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = DouShouQiIOSUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		7B4508E72BF206B10027E1EF /* DouShouQiIOSUITests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DouShouQiIOSUITests.swift; sourceTree = "<group>"; };
		7B4508E92BF206B10027E1EF /* DouShouQiIOSUITestsLaunchTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DouShouQiIOSUITestsLaunchTests.swift; sourceTree = "<group>"; };
		7B4508F62BF2084B0027E1EF /* PlayerView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PlayerView.swift; sourceTree = "<group>"; };
		7B4508F92BF214F50027E1EF /* PlayerListView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PlayerListView.swift; sourceTree = "<group>"; };
		7B6426F12C00B61500575E16 /* DSQ.xcframework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.xcframework; name = DSQ.xcframework; path = ../../SwiftUI_ARKit_2024/XCFramework/DSQ.xcframework; sourceTree = "<group>"; };
		7B6426F52C00B69200575E16 /* DSQ_CLI */ = {isa = PBXFileReference; lastKnownFileType = folder; name = DSQ_CLI; path = ../../SwiftUI_ARKit_2024/XCFramework/DSQ_CLI; sourceTree = "<group>"; };
		7B6426F62C00B81400575E16 /* GameScene.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GameScene.swift; sourceTree = "<group>"; };
		7B6426F82C00BDEA00575E16 /* SpriteKitView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SpriteKitView.swift; sourceTree = "<group>"; };
		7B6426FA2C00BFF500575E16 /* SpriteMeeple.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SpriteMeeple.swift; sourceTree = "<group>"; };
		7BB279882BFDF79E00491801 /* GameView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GameView.swift; sourceTree = "<group>"; };
		7BDD43C62BFCC927003984FB /* MainMenuView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainMenuView.swift; sourceTree = "<group>"; };
		7BDD43C82BFCD2C4003984FB /* HistoryView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HistoryView.swift; sourceTree = "<group>"; };
		7BDE976C2C0E13160079F2CD /* EditModalView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = EditModalView.swift; sourceTree = "<group>"; };
		7BDE976E2C0E18160079F2CD /* PlayerVM.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PlayerVM.swift; sourceTree = "<group>"; };
		7BE8C5642C09A29A00A6E8C9 /* Color.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Color.swift; sourceTree = "<group>"; };
		BA5AFD322C09C7470056D332 /* ClassicTextDisplay.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ClassicTextDisplay.swift; sourceTree = "<group>"; };
		BA5AFD342C09CAC10056D332 /* NavButton.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NavButton.swift; sourceTree = "<group>"; };
		BA5AFD382C09D1020056D332 /* DoubleTextDisplay.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DoubleTextDisplay.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		7B4508C62BF206AF0027E1EF /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				7B6426F22C00B61500575E16 /* DSQ.xcframework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		7B4508D62BF206B10027E1EF /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		7B4508E02BF206B10027E1EF /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		7B3B17622BF24B23002BC817 /* Class */ = {
			isa = PBXGroup;
			children = (
				7B3B17632BF24B32002BC817 /* Player.swift */,
				7B6426F62C00B81400575E16 /* GameScene.swift */,
				7B6426FA2C00BFF500575E16 /* SpriteMeeple.swift */,
				7BDE976E2C0E18160079F2CD /* PlayerVM.swift */,
			);
			path = Class;
			sourceTree = "<group>";
		};
		7B3B17652BF24EB1002BC817 /* Struct */ = {
			isa = PBXGroup;
			children = (
				7B3B17662BF24ED6002BC817 /* FullButtonStyle.swift */,
			);
			path = Struct;
			sourceTree = "<group>";
		};
		7B4508C02BF206AF0027E1EF = {
			isa = PBXGroup;
			children = (
				7B4508CB2BF206AF0027E1EF /* DouShouQiIOS */,
				7B4508DC2BF206B10027E1EF /* DouShouQiIOSTests */,
				7B4508E62BF206B10027E1EF /* DouShouQiIOSUITests */,
				7B4508CA2BF206AF0027E1EF /* Products */,
				7B6426F02C00B61500575E16 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		7B4508CA2BF206AF0027E1EF /* Products */ = {
			isa = PBXGroup;
			children = (
				7B4508C92BF206AF0027E1EF /* DouShouQiIOS.app */,
				7B4508D92BF206B10027E1EF /* DouShouQiIOSTests.xctest */,
				7B4508E32BF206B10027E1EF /* DouShouQiIOSUITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		7B4508CB2BF206AF0027E1EF /* DouShouQiIOS */ = {
			isa = PBXGroup;
			children = (
				BA5AFD312C09C6E90056D332 /* ContentView */,
				7BE8C5632C09A27600A6E8C9 /* Extension */,
				7B3B17652BF24EB1002BC817 /* Struct */,
				7B3B17622BF24B23002BC817 /* Class */,
				7B4508CC2BF206AF0027E1EF /* DouShouQiIOSApp.swift */,
				7B4508CE2BF206AF0027E1EF /* ContentView.swift */,
				7B4508D02BF206B10027E1EF /* Assets.xcassets */,
				7B4508F82BF2085B0027E1EF /* View */,
				7B4508D22BF206B10027E1EF /* Preview Content */,
			);
			path = DouShouQiIOS;
			sourceTree = "<group>";
		};
		7B4508D22BF206B10027E1EF /* Preview Content */ = {
			isa = PBXGroup;
			children = (
				7B4508D32BF206B10027E1EF /* Preview Assets */,
			);
			path = "Preview Content";
			sourceTree = "<group>";
		};
		7B4508DC2BF206B10027E1EF /* DouShouQiIOSTests */ = {
			isa = PBXGroup;
			children = (
				7B4508DD2BF206B10027E1EF /* DouShouQiIOSTests.swift */,
			);
			path = DouShouQiIOSTests;
			sourceTree = "<group>";
		};
		7B4508E62BF206B10027E1EF /* DouShouQiIOSUITests */ = {
			isa = PBXGroup;
			children = (
				7B4508E72BF206B10027E1EF /* DouShouQiIOSUITests.swift */,
				7B4508E92BF206B10027E1EF /* DouShouQiIOSUITestsLaunchTests.swift */,
			);
			path = DouShouQiIOSUITests;
			sourceTree = "<group>";
		};
		7B4508F82BF2085B0027E1EF /* View */ = {
			isa = PBXGroup;
			children = (
				7B4508F62BF2084B0027E1EF /* PlayerView.swift */,
				7B4508F92BF214F50027E1EF /* PlayerListView.swift */,
				7BDD43C62BFCC927003984FB /* MainMenuView.swift */,
				7BDD43C82BFCD2C4003984FB /* HistoryView.swift */,
				7BB279882BFDF79E00491801 /* GameView.swift */,
				7B6426F82C00BDEA00575E16 /* SpriteKitView.swift */,
				7BDE976C2C0E13160079F2CD /* EditModalView.swift */,
			);
			path = View;
			sourceTree = "<group>";
		};
		7B6426F02C00B61500575E16 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				7B6426F52C00B69200575E16 /* DSQ_CLI */,
				7B6426F12C00B61500575E16 /* DSQ.xcframework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		7BE8C5632C09A27600A6E8C9 /* Extension */ = {
			isa = PBXGroup;
			children = (
				7BE8C5642C09A29A00A6E8C9 /* Color.swift */,
			);
			path = Extension;
			sourceTree = "<group>";
		};
		BA5AFD312C09C6E90056D332 /* ContentView */ = {
			isa = PBXGroup;
			children = (
				BA5AFD322C09C7470056D332 /* ClassicTextDisplay.swift */,
				BA5AFD342C09CAC10056D332 /* NavButton.swift */,
				BA5AFD382C09D1020056D332 /* DoubleTextDisplay.swift */,
			);
			path = ContentView;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		7B4508C82BF206AF0027E1EF /* DouShouQiIOS */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 7B4508ED2BF206B10027E1EF /* Build configuration list for PBXNativeTarget "DouShouQiIOS" */;
			buildPhases = (
				7B4508C52BF206AF0027E1EF /* Sources */,
				7B4508C62BF206AF0027E1EF /* Frameworks */,
				7B4508C72BF206AF0027E1EF /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = DouShouQiIOS;
			productName = DouShouQiIOS;
			productReference = 7B4508C92BF206AF0027E1EF /* DouShouQiIOS.app */;
			productType = "com.apple.product-type.application";
		};
		7B4508D82BF206B10027E1EF /* DouShouQiIOSTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 7B4508F02BF206B10027E1EF /* Build configuration list for PBXNativeTarget "DouShouQiIOSTests" */;
			buildPhases = (
				7B4508D52BF206B10027E1EF /* Sources */,
				7B4508D62BF206B10027E1EF /* Frameworks */,
				7B4508D72BF206B10027E1EF /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				7B4508DB2BF206B10027E1EF /* PBXTargetDependency */,
			);
			name = DouShouQiIOSTests;
			productName = DouShouQiIOSTests;
			productReference = 7B4508D92BF206B10027E1EF /* DouShouQiIOSTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		7B4508E22BF206B10027E1EF /* DouShouQiIOSUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 7B4508F32BF206B10027E1EF /* Build configuration list for PBXNativeTarget "DouShouQiIOSUITests" */;
			buildPhases = (
				7B4508DF2BF206B10027E1EF /* Sources */,
				7B4508E02BF206B10027E1EF /* Frameworks */,
				7B4508E12BF206B10027E1EF /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				7B4508E52BF206B10027E1EF /* PBXTargetDependency */,
			);
			name = DouShouQiIOSUITests;
			productName = DouShouQiIOSUITests;
			productReference = 7B4508E32BF206B10027E1EF /* DouShouQiIOSUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		7B4508C12BF206AF0027E1EF /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 1420;
				LastUpgradeCheck = 1420;
				TargetAttributes = {
					7B4508C82BF206AF0027E1EF = {
						CreatedOnToolsVersion = 14.2;
					};
					7B4508D82BF206B10027E1EF = {
						CreatedOnToolsVersion = 14.2;
						TestTargetID = 7B4508C82BF206AF0027E1EF;
					};
					7B4508E22BF206B10027E1EF = {
						CreatedOnToolsVersion = 14.2;
						TestTargetID = 7B4508C82BF206AF0027E1EF;
					};
				};
			};
			buildConfigurationList = 7B4508C42BF206AF0027E1EF /* Build configuration list for PBXProject "DouShouQiIOS" */;
			compatibilityVersion = "Xcode 14.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 7B4508C02BF206AF0027E1EF;
			productRefGroup = 7B4508CA2BF206AF0027E1EF /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				7B4508C82BF206AF0027E1EF /* DouShouQiIOS */,
				7B4508D82BF206B10027E1EF /* DouShouQiIOSTests */,
				7B4508E22BF206B10027E1EF /* DouShouQiIOSUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		7B4508C72BF206AF0027E1EF /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				7B4508D42BF206B10027E1EF /* Preview Assets in Resources */,
				7B4508D12BF206B10027E1EF /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		7B4508D72BF206B10027E1EF /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		7B4508E12BF206B10027E1EF /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		7B4508C52BF206AF0027E1EF /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				7B6426F72C00B81400575E16 /* GameScene.swift in Sources */,
				7B4508F72BF2084B0027E1EF /* PlayerView.swift in Sources */,
				7BDD43C72BFCC927003984FB /* MainMenuView.swift in Sources */,
				7B4508CF2BF206AF0027E1EF /* ContentView.swift in Sources */,
				7BE8C5652C09A29A00A6E8C9 /* Color.swift in Sources */,
				7B6426FB2C00BFF500575E16 /* SpriteMeeple.swift in Sources */,
				7B4508CD2BF206AF0027E1EF /* DouShouQiIOSApp.swift in Sources */,
				7B6426F92C00BDEA00575E16 /* SpriteKitView.swift in Sources */,
				7BDE976D2C0E13160079F2CD /* EditModalView.swift in Sources */,
				7BDE976F2C0E18160079F2CD /* PlayerVM.swift in Sources */,
				BA5AFD392C09D1020056D332 /* DoubleTextDisplay.swift in Sources */,
				BA5AFD332C09C7470056D332 /* ClassicTextDisplay.swift in Sources */,
				BA5AFD352C09CAC10056D332 /* NavButton.swift in Sources */,
				7BB279892BFDF79E00491801 /* GameView.swift in Sources */,
				7BDD43C92BFCD2C4003984FB /* HistoryView.swift in Sources */,
				7B3B17642BF24B32002BC817 /* Player.swift in Sources */,
				7B3B17672BF24ED6002BC817 /* FullButtonStyle.swift in Sources */,
				7B4508FA2BF214F50027E1EF /* PlayerListView.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		7B4508D52BF206B10027E1EF /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				7B4508DE2BF206B10027E1EF /* DouShouQiIOSTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		7B4508DF2BF206B10027E1EF /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				7B4508EA2BF206B10027E1EF /* DouShouQiIOSUITestsLaunchTests.swift in Sources */,
				7B4508E82BF206B10027E1EF /* DouShouQiIOSUITests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		7B4508DB2BF206B10027E1EF /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 7B4508C82BF206AF0027E1EF /* DouShouQiIOS */;
			targetProxy = 7B4508DA2BF206B10027E1EF /* PBXContainerItemProxy */;
		};
		7B4508E52BF206B10027E1EF /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 7B4508C82BF206AF0027E1EF /* DouShouQiIOS */;
			targetProxy = 7B4508E42BF206B10027E1EF /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin XCBuildConfiguration section */
		7B4508EB2BF206B10027E1EF /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 16.2;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		7B4508EC2BF206B10027E1EF /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 16.2;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		7B4508EE2BF206B10027E1EF /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_ASSET_PATHS = "\"DouShouQiIOS/Preview Content\"";
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_KEY_UIApplicationSceneManifest_Generation = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = PierreFerreira.DouShouQiIOS;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		7B4508EF2BF206B10027E1EF /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_ASSET_PATHS = "\"DouShouQiIOS/Preview Content\"";
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_KEY_UIApplicationSceneManifest_Generation = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = PierreFerreira.DouShouQiIOS;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		7B4508F12BF206B10027E1EF /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 16.2;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = PierreFerreira.DouShouQiIOSTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/DouShouQiIOS.app/$(BUNDLE_EXECUTABLE_FOLDER_PATH)/DouShouQiIOS";
			};
			name = Debug;
		};
		7B4508F22BF206B10027E1EF /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 16.2;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = PierreFerreira.DouShouQiIOSTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/DouShouQiIOS.app/$(BUNDLE_EXECUTABLE_FOLDER_PATH)/DouShouQiIOS";
			};
			name = Release;
		};
		7B4508F42BF206B10027E1EF /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = PierreFerreira.DouShouQiIOSUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = DouShouQiIOS;
			};
			name = Debug;
		};
		7B4508F52BF206B10027E1EF /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = PierreFerreira.DouShouQiIOSUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = DouShouQiIOS;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		7B4508C42BF206AF0027E1EF /* Build configuration list for PBXProject "DouShouQiIOS" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				7B4508EB2BF206B10027E1EF /* Debug */,
				7B4508EC2BF206B10027E1EF /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		7B4508ED2BF206B10027E1EF /* Build configuration list for PBXNativeTarget "DouShouQiIOS" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				7B4508EE2BF206B10027E1EF /* Debug */,
				7B4508EF2BF206B10027E1EF /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		7B4508F02BF206B10027E1EF /* Build configuration list for PBXNativeTarget "DouShouQiIOSTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				7B4508F12BF206B10027E1EF /* Debug */,
				7B4508F22BF206B10027E1EF /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		7B4508F32BF206B10027E1EF /* Build configuration list for PBXNativeTarget "DouShouQiIOSUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				7B4508F42BF206B10027E1EF /* Debug */,
				7B4508F52BF206B10027E1EF /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 7B4508C12BF206AF0027E1EF /* Project object */;
}
